• 字符串做contains()比较时,忽略大小写
  • 哇,现在每天满脑子都是你了。
  • 寒假结束,我回来了!
  • “拓展知识”已可以正常访问
  • 嘿,姑娘,我又想你了
  • 说下什么是“真正的自己”吧
  • 你知道在自习室小憩醒来,左前方有个美女是什么感觉么?
  • 我也不知说些什么好 可我想和你说说话
  • 不是所有的事情都会顺心如意,也不是所有的事情都要顺你心意
  • 你不穿红裙 也未到杭州 我在西湖这头看荷花 湖对岸都不会有你的身影

Python运行冲顶大会报错


我在网上下载了 冲顶大会 的一个python2.7版本的辅助工具,我将里边的 print 改为了 3.6 的格式,然后所需要的包也已经下载好了,但是当我运行的时候出现了以下错误。
而后我有寻找了 3.x 版本的辅助,也会出现类似的错误。望路过与受邀大神帮助解决!

以下代码为 Python 2.7 版本运行错误报告

Traceback (most recent call last):
  File "D:\Python\lib\site-packages\urllib3\connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "D:\Python\lib\site-packages\urllib3\util\connection.py", line 83, in create_connection
    raise err
  File "D:\Python\lib\site-packages\urllib3\util\connection.py", line 73, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [WinError 10061] 由于目标计算机积极拒绝,无法连接。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\Python\lib\site-packages\urllib3\connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "D:\Python\lib\site-packages\urllib3\connectionpool.py", line 357, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "D:\Python\lib\http\client.py", line 1239, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "D:\Python\lib\http\client.py", line 1285, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "D:\Python\lib\http\client.py", line 1234, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "D:\Python\lib\http\client.py", line 1026, in _send_output
    self.send(msg)
  File "D:\Python\lib\http\client.py", line 964, in send
    self.connect()
  File "D:\Python\lib\site-packages\urllib3\connection.py", line 166, in connect
    conn = self._new_conn()
  File "D:\Python\lib\site-packages\urllib3\connection.py", line 150, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: : Failed to establish a new connection: [WinError 10061] 由于目标计算机积极拒绝,无法连接。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\Python\lib\site-packages\requests\adapters.py", line 440, in send
    timeout=timeout
  File "D:\Python\lib\site-packages\urllib3\connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "D:\Python\lib\site-packages\urllib3\util\retry.py", line 388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='127.0.0.1', port=63816): Max retries exceeded with url: http://htpmsg.jiecaojingxuan.com/msg/current (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError(': Failed to establish a new connection: [WinError 10061] 由于目标计算机积 极拒绝,无法连接。',)))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "F:\作弊工具\AnswerHelper-master\main.py", line 10, in 
    result = problem_utils.get_result()
  File "F:\作弊工具\AnswerHelper-master\problem_utils.py", line 56, in get_result
    return get_chongding_by_api()
  File "F:\作弊工具\AnswerHelper-master\problem_utils.py", line 38, in get_chongding_by_api
    req = requests.get(url=api_url)
  File "D:\Python\lib\site-packages\requests\api.py", line 72, in get
    return request('get', url, params=params, **kwargs)
  File "D:\Python\lib\site-packages\requests\api.py", line 58, in request
    return session.request(method=method, url=url, **kwargs)
  File "D:\Python\lib\site-packages\requests\sessions.py", line 508, in request
    resp = self.send(prep, **send_kwargs)
  File "D:\Python\lib\site-packages\requests\sessions.py", line 618, in send
    r = adapter.send(request, **kwargs)
  File "D:\Python\lib\site-packages\requests\adapters.py", line 502, in send
    raise ProxyError(e, request=request)
requests.exceptions.ProxyError: HTTPConnectionPool(host='127.0.0.1', port=63816): Max retries exceeded with url: http://htpmsg.jiecaojingxuan.com/msg/current (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError(': Failed to establish a new connection: [WinError 10061] 由于目标计算机积极 拒绝,无法连接。',)))

TeenShare 梯云分享 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明Python 运行冲顶大会报错
喜欢 (0)
[欢迎投币]
分享 (0)
关于作者:
一个整天无所事事的,有时候忽然热血的孩子
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址